package com.brilliance.isc.convert.mt2xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT295Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class MT295Test {
    @Test
    public void mt295_Test(){
        MT295Creator mt295Creator = new MT295Creator("295");
        //20
        mt295Creator.setTransactionReferenceNumber("OKHJ");//16x
        //21
        mt295Creator.setRelatedReference("OPLKN");//16x
        //75
        mt295Creator.setQueries("OPKN\r\nPLMB");//6*35x
        //77A
        mt295Creator.setNarrative("POMNII\r\nPMYBJ");//20*35x
        //11a
        mt295Creator.setMtandDate("698\r\n362514");//3!n<crlf>6!n<crlf>[4!n6!n]
        //79
//        mt295Creator.setNarrativeDescriptionofQueryRelates("OKMNKJ");//35*50x
       MtCreatorManager.packMT(mt295Creator);

    }
    @Test
    public void mt295_Test2(){
        MT295Creator mt295Creator = new MT295Creator("295");
        //20
        mt295Creator.setTransactionReferenceNumber("OKHJ");//16x
        //21
        mt295Creator.setRelatedReference("OPLKN");//16x
        //75
        mt295Creator.setQueries("OPKN\r\nPLMB");//6*35x
        //77A
        mt295Creator.setNarrative("POMNII\r\nPMYBJ");//20*35x
        //11a
        mt295Creator.setMtandDate("698");//3!n<crlf>6!n<crlf>[4!n6!n]
        //79
        mt295Creator.setNarrativeDescriptionofQueryRelates("OKMNKJ");//35*50x
        MtCreatorManager.packMT(mt295Creator);

    }
}
